<div class="row back">
	<div class="col2">
		<?php echo template::button('galleryGalleryBack', [
			'class' => 'buttonGrey',
			'href' => helper::baseUrl() . $this->getUrl(0),
			'ico' => 'left',
			'value' => 'Retour'
		]); ?>
	</div>
</div>
<?php $i = 1; ?>
<?php $picturesNb = count($module::$pictures); ?>
<?php foreach($module::$pictures as $picture => $legend): ?>
	<?php if($i % 6 === 1): ?>
		<div class="row">
	<?php endif; ?>
		<div class="col2 gallery">
			<a href="<?php echo helper::baseUrl(false) . $picture; ?>"
			<?php if ( stristr($picture,$this->getdata(['module',$this->getUrl(0),$this->getUrl(1),'config','homePicture'])) ) { echo 'id="homePicture"'; }	?>
				class="galleryGalleryPicture"
				style="background-image:url('<?php echo helper::baseUrl(false) . $module::$thumbs[$picture]; ?>')"
				data-caption="<?php echo $legend; ?>"
				title="<?php echo str_replace(strrchr($picture,'.'),'',basename(str_replace('_',' ',$picture))); ?>"
			>
				<?php if($legend): ?>
					<div class="galleryGalleryName"><?php echo $legend; ?></div>
				<?php endif; ?>
			</a>
		</div>
	<?php if($i % 6 === 0 OR $i === $picturesNb): ?>
		</div>
	<?php endif; ?>
	<?php $i++; ?>
<?php endforeach; ?>
<!-- Navigation Cartes GPS -->
<?php
	// Gestion de la trace GPX
	$path_parts = pathinfo($picture);
	$dirname = $path_parts['dirname'];
	$find_gpx = glob($dirname."/*.gpx");
	$is_gpx = $find_gpx ? $find_gpx : NULL;
	$no_data = file_exists($dirname."/nodata.txt");
	$is_json = $no_data ? $no_data : NULL;
	// couleur de la trace : named | rgb | rgba
	$color_file = $dirname.'/track-color.txt';
	$find_color = file_exists($color_file);
	$is_color = $find_color ? $find_color : NULL;
	if (NULL !== $is_color) :
	$color_track = file_get_contents($color_file, FALSE, NULL, 0, 21);
	$couleur = $color_track ? $color_track : 'red';
	else : $couleur = 'steelblue';
	endif;
?>
<div class="row">
    <div class="col6 geocont">
	<?php if (NULL == $is_json) : ?>
	<a class="geotrack" href="<?=helper::baseUrl(false)?>module/galeriegps/vendor/location.php?dirname=<?=$dirname?>&color=<?=$couleur?>" rel="data-lity" title="Géo-Localisation des photos">
	    Géolocalisation
	</a>
	<?php endif; ?>
    </div>
    <div class="col6 geocont">
    <?php if (NULL !== $is_gpx) : ?>
	<a class="geotrack" href="<?=helper::baseUrl(false)?>module/galeriegps/vendor/elevation.php?dirname=<?=$dirname?>" rel="data-lity" title="Elévation de la trace GPX">
	    Trace GPX
	</a>
	<?php endif; ?>
    </div>
</div>
